from typing import TypeVar, Literal, Callable

MethodNames = Literal[
    'GetEmployeePostionsForAlcoGroup',
    'GetPositionCodes',
    'GetEmployeeGroupsForAlcoGroup',
    'GetAcsAccessPointDrivers',
    'GetAcsAccessPoints',
    'GeFilteredtDrivers',
    'GetWorkZonesByDriverID',
    'GetWorkZonesByEmployeeID',
    'GetWorkZonesByEmployeeIDIncludeRemovedEmployees',
    'GetWorkZonesByEmployeeGroupID',
    'GetWorkSchedulesByEmployeeID',
    'GetWorkSchedulesByEmployeeIDIncludeRemovedEmployees',
    'GetWorkSchedulesByEmployeeGroupID',
    'GetEmployeeForAlcoGroup',
    'GetEmployeePageForAlcoGroup',
    'GetWorkplaces',
    'GetISS_IIDKs',
    'GetISS_Recognition',
    'GetISS_Drivers',
    'GetISS_IIDK_Slaves',
    'Get_ISS_DriverEventsPlayback',
    'GetAllMaps',
    'GetMapById',
    'GetMapImage',
    'GetAcsConfiguratorSettingsByWorkplaceModule',
    'GetVisitorsScoreboardSettingsByWorkplaceModuleId',
    'SetVisitorsScoreboardSettingsByWorkplaceModuleId',
    'GetWorkZoneVisitorsCount',
    'GetUidsKeys',
    'GetKeyByUid',
    'GenerateKey',
    'GetMifareProfiles',
    'GetMifareProfilesFullInfo',
    'GetScreenLayoutForWorkplaceModule',
    'GetScreenCellPhotoIdentificationContent',
    'GetScreenCellCameraContent',
    'GetScreenCellPassInfoContent',
    'GetIvideonCameraDrivers',
    'GetPhotoidentificationPersonalData',
    'GetEmailAddresses',
    'GetEmailAddressesIncludeRemovedEmployees',
    'GetPhoneNumbers',
    'GetPhoneNumbersIncludeRemovedEmployees',
    'GetEmployeeSchedules',
    'GetEmployeeSchedulesIncludeRemovedEmployees',
    'GetEmailDistributionAddresses',
    'SendEmail',
    'GetFields',
    'GetAdditionalFieldsValue',
    'GetAdditionalFields',
    'GetAdditionalFieldsValueForOwners',
    'GetAdditionalFieldsForOwners',
    'GetPhotoOrders',
    'GetTagsByMifareProfileID',
    'GetTagsByReportID',
    'GetTagsByEmployeeGroupID',
    'GetTagsByAccessLevelID',
    'GetTagsByBoxAccessLevelID',
    'GetTagsByResourceID',
    'GetFilterTagsByResourceID',
    'GetFilterTagsForResources',
    'GetTags',
    'GetFilterTags',
    'GetFolders',
    'GetFoldersWithAccessLevel',
    'GetFolderForAccessLevel',
    'GetFavoriteFolders',
    'GetFavoriteFoldersByWorkplace',
    'GetFavoriteFoldersWithEmployeeGroups',
    'GetFavoriteFoldersWithEmployeeGroupsByWorkplace',
    'GetFavoriteFolderForEmployeeGroup',
    'GetFavoriteFolderForEmployeeGroupByWorkplace',
    'GetUserPasses',
    'GetReactions',
    'GetReactionFullInfo',
    'GetEmployeesOfReactionAction',
    'GetEmployeeGroupsOfReactionAction',
    'GetReactionSendSMSAction',
    'GetReactionSendEmailAction',
    'GetReactionExecuteProgramAction',
    'GetReactionRecordVideoAction',
    'GetReports',
    'GetDriversOfReportParameters',
    'GetLogMessageSubtypesOfReportParameters',
    'GetEmployeesOfReportParameters',
    'GetEmployeeGroupsOfReportParameters',
    'GetWorkZonesOfReportParameters',
    'GetIncidentTypeOfReportParameters',
    'GetVehicleTypesOfReportParameters',
    'GetVehiclesOfReportParameters',
    'GetBranchOfReportParameters',
    'FindReports',
    'GetEmployeesOfReactionEvent',
    'GetEmployeeGroupsOfReactionEvent',
    'GetDriversOfReactionEvent',
    'GetLogMessageSubtypesOfReactionEvent',
    'GetSwitchedOffLogMessageSubtypesOfWorkplace',
    'GetSwitchedOffLogDriversOfWorkplace',
    'GetRemoteTerminalInfoByWorkplaceModuleId',
    'GetReactionEventsFromDevices',
    'GetLicense',
    'GetVariable',
    'GetChildrenNets',
    'GetAllNets',
    'GetLocalNet',
    'GetNetServers',
    'GetServer',
    'GetRootServerDrivers',
    'GetDriversByType',
    'GetServerDriversFullInfo',
    'GetNetworkChanges',
    'PutNotify',
    'GetNotify',
    'FindNotify',
    'RemoveNotify',
    'GetDriver',
    'GetLogMessageTypes',
    'GetLogMessageSubtypes',
    'GetEvents',
    'GetLastEvent',
    'GetEventsByDeviceIDs',
    'GetFilteredEvents',
    'GetLastEventByDeviceIDs',
    'GetEventsByDeviceTypes',
    'GetLastEventByDeviceTypes',
    'GetPOBCell2DriverRelations',
    'GetRelayBlocksStatus',
    'GetUser',
    'GetOperator',
    'GetUsers',
    'GetUserGroup',
    'GetUserGroups',
    'GetUserGroupsByUserID',
    'GetUsersByUserGroupID',
    'GetClaim',
    'GetClaimsForUserGroup',
    'GetClaimsForUserByUserId',
    'GetClaimsForUserByUserLogin',
    'GetAcsDaySchedules',
    'GetAcsDaySchedulesByOwner',
    'GetAcsDaySchedule',
    'GetAcsDayScheduleByOwner',
    'GetAcsMultiDaySchedules',
    'GetAcsMultiDaySchedule',
    'GetAcsWeekSlimSchedules',
    'GetAcsWeekFullSchedules',
    'GetAcsWeekSchedule',
    'GetAcsCustomDays',
    'GetAcsCustomDay',
    'GetAcsWorkDaysWithTransfer',
    'GetAcsWorkDayWithTransfer',
    'GetDictionaryElement',
    'GetDictionaryElements',
    'GetDictionaryElementsWithFilter',
    'GetCardType',
    'GetAllBranch',
    'GetBranch',
    'GetIncidents',
    'GetIncident',
    'SearchFirebirdIncidents',
    'FindViolationByEmployee',
    'GetIncidentTemplates',
    'GetOrganizationForEmployee',
    'GetSubdivisionsForEmployee',
    'GetOrganizationAssignmentsForEmployee',
    'GetOrganizationAssignmentsForEmployeeIncludeRemovedEmployees',
    'GetOrganizationForVehicle',
    'GetSubdivisionsForVehicle',
    'GetOrganizationAssignmentsForVehicle',
    'GetCardTypes',
    'GetEmployeePosition',
    'GetEmployeePositions',
    'GetEmployeePositionsForIncident',
    'GetAcsEmployeeGroupsFull',
    'GetAcsEmployeeGroups',
    'GetViolatorAcsEmployeeGroup',
    'GetAcsEmployeeGroupsByTags',
    'GetAcsEmployeeGroup',
    'GetAcsEmployeeGroupsForReportParameters',
    'GetAcsEmployeeGroupsForReactionEvent',
    'GetAcsEmployeeGroupsForReactionAction',
    'GetAcsEmployeesByGroup',
    'GetAcsEmployees',
    'GetEmployeeFaceById',
    'GetEmployeeFaces',
    'GetEmployeeFacesIncludeRemovedEmployees',
    'GetEmployeeFacesFull',
    'GetAcsEmployeesByGroups',
    'GetListAcsEmployeesByGroup',
    'SearchEmployee',
    'GetPageFilteredEmployeesByGroup',
    'GetPageFilterredIncidents',
    'GetAcsEmployeesGuidsByGroups',
    'GetAcsEmployee',
    'GetAcsEmployeeForRemoteTerminal',
    'GeEmployeesView',
    'GeEmployeesViewMetadata',
    'GetAcsEmployeesByTableNumbers',
    'GetAcsEmployeeIDsByTableNumbers',
    'GetAcsEmployeesDocuments',
    'GetAcsEmployeePhotoInfos',
    'GetAcsEmployeePhoto',
    'GetAcsEmployeePhotoByType',
    'GetEmployeesByAccessLevel',
    'GetAcsKeysForEmployee',
    'GetEmployeesByCardType',
    'GetAssignedAcsKeyByKeyNumber',
    'GetAcsKeysForEmployeeWithLost',
    'GetAcsKeysForEmployeeWithLostIncludeRemovedEmployees',
    'FindEmployees',
    'FindGroups',
    'FindVehicle',
    'GetUnResolvedPhotoBankDetails',
    'GetPhoto',
    'ResolvePhotoBankEntity',
    'GetAcsVehiclesByGroup',
    'GetAcsVehiclesGuidsByGroups',
    'GetAcsVehicle',
    'GetWorkTimeTable',
    'GetEmployeeTimeTable',
    'GetDayTypesSlimInfo',
    'GetWorkSchedulesSlimInfo',
    'GetWorkZonesSlimInfo',
    'GetWorkZonesAccessPoints',
    'GetAcsBoxAccessElements',
    'GetAcsBoxAccessLevelsSlimInfo',
    'GetAcsAccessLevelsSlimInfo',
    'GetAcsAccessLevelsSlimInfo2',
    'GetAlcoGroupsSlimInfo',
    'Connect',
    'IsAdmin',
    'Disconnect',
    'GetNotification',
    'Process',
    'IsSessionExists',
    'SetScreenCellContentToPassInfo',
    'AddEmailAddress',
    'SaveEmailAddress',
    'RemoveEmailAddress',
    'AddPhoneNumber',
    'SavePhoneNumber',
    'RemovePhoneNumbers',
    'AddEmailDistributionAddress',
    'SaveEmailDistributionAddress',
    'RemoveEmailDistributionAddresses',
    'SetFilterTagsForResource',
    'SetTagsForResource',
    'SetAccessPoint2CameraChain',
    'SetPOBCell2DriverRelation',
    'RemovePOBCell2DriverRelation',
    'AddFolder',
    'SaveFolder',
    'MoveFolder',
    'RemoveFolder',
    'RemoveAccessLevelFromFolder',
    'SetAccessLevelToFolder',
    'AddFavoriteFolder',
    'AddFavoriteFolderByWorplace',
    'SaveFavoriteFolder',
    'MoveFavoriteFolder',
    'MoveFavoriteFolderByWorkplace',
    'RemoveFavoriteFolder',
    'RemoveFavoriteFolderByWorkplace',
    'RemoveEmployeeGroupFromFavoriteFolder',
    'SetEmployeeGroupToFavoriteFolder',
    'SetEmployeeGroupToFavoriteFolderByWorkplace',
    'AddTag',
    'SaveTag',
    'RemoveTag',
    'AddFilterTag',
    'SaveFilterTag',
    'RemoveFilterTag',
    'AddUserPass',
    'SaveUserPass',
    'SaveUserPassFull',
    'RemoveUserPass',
    'SetUserPassEditor',
    'RemoveUserPassEditor',
    'AddReaction',
    'SaveReaction',
    'RemoveReaction',
    'AddReactionAction',
    'SaveReactionActionCommonData',
    'RemoveReactionActions',
    'AddEmployeesToReactionAction',
    'RemoveEmployeesFromReactionAction',
    'AddEmployeeGroupsToReactionAction',
    'AddEmployeesToReactionActionByGroups',
    'RemoveEmployeeGroupsFromReactionAction',
    'RemoveEmployeeFromReactionActionByGroups',
    'SaveReactionSendSMSAction',
    'SaveReactionSendEmailAction',
    'SaveReactionExecuteProgramAction',
    'SaveReactionRecordVideoAction',
    'AddReport',
    'SaveReport',
    'RemoveReport',
    'RemoveDriversFromReportParameters',
    'AddDriversToReportParameters',
    'RemoveLogMessageSubtypesFromReportParameters',
    'AddLogMessageSubtypesToReportParameters',
    'AddEmployeeGroupsToReportParameters',
    'AddEmployeesToReportParametersByGroups',
    'AddEmployeesToReportParametersByTabNumbers',
    'RemoveEmployeeGroupsFromReportParameters',
    'RemoveEmployeeFromReportParametersByGroups',
    'AddEmployeesToReportParameters',
    'RemoveEmployeesFromReportParameters',
    'AddWorkZonesToReportParameters',
    'RemoveWorkZonesFromReportParameters',
    'AddVehicleTypesToReportParameters',
    'RemoveVehicleTypesFromReportParameters',
    'AddVehiclesToReportParameters',
    'RemoveVehiclesFromReportParameters',
    'AddReactionEvent',
    'SaveReactionEventCommonData',
    'RemoveReactionEvents',
    'AddEmployeesToReactionEvent',
    'RemoveEmployeesFromReactionEvent',
    'AddEmployeeGroupsToReactionEvent',
    'AddEmployeesToReactionEventByGroups',
    'RemoveEmployeeGroupsFromReactionEvent',
    'RemoveEmployeeFromReactionEventByGroups',
    'AddDriversToReactionEvent',
    'RemoveDriversFromReactionEvent',
    'AddLogMessageSubtypesToReactionEvent',
    'RemoveLogMessageSubtypesFromReactionEvent',
    'AddSwitchedOffLogMessageSubtypesToWorkplace',
    'RemoveSwitchedOffLogMessageSubtypesFromWorkplace',
    'SetRemoteTerminalSettingsByWorkplaceModuleId',
    'AddSwitchedOffLogDriversToWorkplace',
    'RemoveSwitchedOffLogDriversFromWorkplace',
    'SaveReactionEventsFromDevices',
    'GetViolationPlan',
    'SetViolationPlan',
    'AddBranch',
    'SaveBranch',
    'RemoveBranch',
    'SaveAcsAccessLevel',
    'RemoveAcsAccessLevel',
    'AddAcsAccessPoint',
    'SaveAcsAccessPoint',
    'RemoveAcsAccessPoint',
    'ReplaceAccessPointDriver',
    'AddEmployeesToSecurityGroup',
    'RemoveEmployeesToSecurityGroup',
    'AddAccessLevelsToEmployeeWithPeriod',
    'AddAccessLevelsToEmployeeGroupWithPeriod',
    'AddAccessLevelsToEmployee',
    'AddAccessLevelsToEmployeeGroup',
    'RemoveAccessLevelsFromEmployeeForce',
    'AddAccessLevelsToEmployeeForce',
    'RemoveAccessLevelFromEmployee',
    'RemoveAccessLevelFromEmployeeGroup',
    'GetAccessLevelsByEmployeeID',
    'GetAccessLevelsByEmployeeIDIncludeRemovedEmployees',
    'GetAccessLevelsByDriverID',
    'GetBiometricPermissions',
    'GetAccessLevelsByEmployeeGroupID',
    'GetAllAccessLevelsByEmployeeGroupID',
    'SetUseEmployeeParentAccessLevel',
    'SetUseEmployeeGroupParentAccessLevel',
    'GetKeysChanges',
    'ProcessOnChangeDriver',
    'ProcessSyncDriver',
    'ProcessSyncDriverLight',
    'GetCustomizableDaysChanges',
    'Import',
    'UpdateDeviceDrivers',
    'AddWorkplace',
    'SaveWorkplace',
    'RemoveWorkplace',
    'AddWorkplaceModule',
    'SaveWorkplaceModule',
    'RemoveWorkplaceModule',
    'AddRootMap',
    'AddMap',
    'SaveMap',
    'RemoveMap',
    'SetMapImage',
    'AddDriverFigureToMap',
    'UpdateDriverFigureOnTheMap',
    'RemoveDriverFigureFromMap',
    'SetAcsConfiguratorSettingsByWorkplaceModule',
    'GetReportingServicesUrl',
    'SetIncidentTypeToReportParameters',
    'SetBranchToReportParameters',
    'GetIncidentStatisticReport',
    'GetIncidentStatisticReportByWeek',
    'AddWorkSchedulesToEmployee',
    'AddWorkSchedulesToEmployeeGroup',
    'RemoveWorkSchedulesFromEmployee',
    'RemoveWorkSchedulesFromEmployeeGroup',
    'SetUseEmployeeParentWorkSchedule',
    'SetUseEmployeeGroupParentWorkSchedule',
    'AddWorkZonesToEmployee',
    'AddWorkZonesToEmployeeGroup',
    'RemoveWorkZoneFromEmployee',
    'RemoveWorkZoneFromEmployeeGroup',
    'SetUseEmployeeParentWorkZone',
    'SetUseEmployeeGroupParentWorkZone',
    'AddDayType',
    'SaveWorkTimtable',
    'SaveEmployeeTimtable',
    'SaveDayType',
    'RemoveDayTypes',
    'DeleteWorkTimetable',
    'DeleteEmployeeTimetable',
    'UpdateWorkTimeTable',
    'UpdateEmployeeTimeTable',
    'AddWorkSchedule',
    'SaveWorkSchedule',
    'RemoveWorkSchedules',
    'AddWorkZone',
    'RemoveWorkZones',
    'SaveWorkZone',
    'AddWorkZonesAccessPoint',
    'SaveWorkZonesAccessPoint',
    'RemoveWorkZonesAccessPoint',
    'SyncFindFace',
    'ClearPhotoState',
    'SyncFaceX',
    'ClearFaceX',
    'RemoveISS_IIDKs',
    'RemoveISS_Recognition',
    'RemoveISS_Drivers',
    'Save_ISS_IIDK',
    'Save_ISS_Recognition',
    'Save_ISS_Driver',
    'Add_ISS_IIDK',
    'Add_ISS_Recognition',
    'Add_ISS_Driver',
    'UpdateSecurOSConfiguration',
    'GetSecureOSCameras',
    'Add_ISS_DriverEventPlayback',
    'Remove_ISS_DriverEventPlayback',
    'LoadPanasonicConfiguration',
    'UpdateBasIpDrivers',
    'LoadNTechLabRecognitionServiceConfiguration',
    'LoadKeyKeeperServiceConfiguration',
    'GetKeyKeeperSlotsStatus',
    'GetKeyLocation',
    'OpenKeyKeeperDoorAndTakeKey',
    'OpenKeyKeeperDoor',
    'OpenCellCommand',
    'LoadNUUOConfiguration',
    'LoadTrassirConfiguration',
    'LoadServerConfiguration',
    'LoadPersonalCabinetConfiguration',
    'BroadcastFindBasIpDevices',
    'FindUsbCanConverters',
    'BroadcastFindLanConverters',
    'FindLanConverter',
    'FindLanConverter2',
    'FindCanControllersViaCanConverter',
    'SetDevicesAddressBySidViaCanConverter',
    'SetNetworkConfigurationToDevice',
    'GetControllerConfigurationsViaCanConverter',
    'AddNestedCell',
    'SaveCell',
    'RemoveCell',
    'SaveScreen',
    'SetScreenCellContentToNone',
    'SetScreenCellContentToPhotoIdentification',
    'SetScreenCellContentToCamera',
    'GetTagsByClaim',
    'SetVariable',
    'AddNetwork',
    'RemoveNetwork',
    'AddLocalServer',
    'AddServer',
    'RemoveServer',
    'AddRootDriverProps',
    'AddDriverProps',
    'RemoveDriver',
    'AddNetworkToSubnetworkLink',
    'RemoveNetworkToSubnetworkLink',
    'SetProperty',
    'SetPropertyValues',
    'AddUser',
    'SaveUser',
    'RemoveUser',
    'AddUserGroup',
    'SaveUserGroup',
    'RemoveUserGroup',
    'AddUsersToUserGroup',
    'RemoveUsersFromUserGroup',
    'AddUserGroupsToUser',
    'RemoveUserGroupsFromUser',
    'AddClaim',
    'RemoveClaim',
    'RemoveAcsSchedule',
    'AddAcsDaySchedule',
    'AddAcsDayScheduleForOwner',
    'SaveAcsDaySchedule',
    'SaveAcsDayScheduleForOwner',
    'AddAcsMultiDaySchedule',
    'SaveAcsMultiDaySchedule',
    'AddAcsWeekSchedule',
    'SaveAcsWeekSchedule',
    'RemoveAcsDay',
    'AddAcsCustomDay',
    'SaveAcsCustomDay',
    'AddAcsWorkDayWithTransfer',
    'SaveAcsWorkDayWithTransfer',
    'AddEmployeePosition',
    'AddEmployeePositionForIncident',
    'SaveEmployeePosition',
    'SaveEmployeePositionForIncident',
    'RemoveEmployeePosition',
    'RemoveEmployeePositionForIncident',
    'AddIncidentTemplate',
    'SaveIncidentTemplate',
    'RemoveIncidentTemplate',
    'AddIncident',
    'SaveIncident',
    'RemoveIncidents',
    'AddDictionaryElement',
    'SaveDictionaryElement',
    'RemoveDectionaryElement',
    'SetOrganization2EmployeeChain',
    'SetOrganization2VehicleChain',
    'AddCardType',
    'SaveCardType',
    'RemoveCardType',
    'AddMifareProfile',
    'RemoveMifareProfile',
    'SaveMifareProfile',
    'SetUidsKeys',
    'AddAcsEmployeeGroup',
    'SaveAcsEmployeeGroup',
    'AddAcsEmployeeGroupWithGroupType',
    'SaveAcsEmployeeGroupWithGroupType',
    'RemoveAcsEmployeeGroup',
    'AddAcsEmployee',
    'MoveEmployeesToGroup',
    'GetFilteredEmployees',
    'SaveAcsEmployee',
    'SaveAcsEmployeesDocuments',
    'SetEmployeeFaces',
    'LockAcsEmployee',
    'RemoveAcsEmployee',
    'AddEmployeeSchedule',
    'SaveEmployeeSchedule',
    'RemoveEmployeeSchedule',
    'SetAcsEmployeePhoto',
    'SetAcsEmployeePhotoByType',
    'AssignAcsKeyForEmployee',
    'ReindexKeys',
    'UpdateAcsKeyEndTime',
    'ForceAssignAcsKeyForEmployee',
    'SetStatusOfAcsKeyAsLost',
    'SetStatusOfAcsKeyAsClear',
    'AddAccessPoint2CameraChain',
    'RemoveAccessPoint2CameraChain',
    'GetAccessPoint2CameraForAccessPoint',
    'AddAcsVehicle',
    'SaveAcsVehicle',
    'RemoveAcsVehicle',
    'MoveVehiclesToGroup',
    'AddEmployee2VehicleChain',
    'GetVehicleForEmployee',
    'GetVehicleForEmployeeIncludeRemovedEmployees',
    'GetEmployeesForVehicle',
    'RemoveAllEmployee2VehicleChainForEmployee',
    'AddLogMessageForAccessPoint',
    'SetAdditionalDateTimeValue',
    'SetAdditionalIntValue',
    'SetAdditionalDoubleValue',
    'SetAdditionalColorValue',
    'SetAdditionalListValue',
    'SetAdditionalStringValue',
    'SetAdditionalFieldsVlaues',
    'AddField',
    'SaveField',
    'DeleteFields',
    'AddPhotoOrder',
    'SavePhotoOrder',
    'DeletePhotoFields',
    'SaveAcsBoxAccessElements',
    'AddAcsBoxAccessLevel',
    'SaveAcsBoxAccessLevel',
    'RemoveAcsBoxAccessLevel',
    'AddAcsAccessLevel',
    'RemoveAlcoGroup',
    'AddAlcoGroup',
    'AlcoGroupChangePriority',
    'SaveAlcoGroup',
    'SetEmployees2AlcoGroup',
    'AddEmployeePositionsToAlcoGroup',
    'SetPositionCodesToAlcoGroup',
    'SetBiometricPermissions',
    'AddEmployeeGroupsToAlcoGroup',
    'GetAcsAccessLevelsSlimInfo',
]

_RusGuardMethod = TypeVar('_Method', bound=MethodNames)


def call_method(client: object, method_name: _RusGuardMethod, *args) -> Callable:
    return getattr(client.service, method_name)(*args)


ns17 =['EmployeeSortedColumn',
         'EmployeesInfoData',
         'ArrayOfAcsEmployeeSlim',
         'AcsEmployeeSlim',
         'AcsEmployeeSlimBase',
         'EmployeesFilter',
         'DocumentType',
         'ArrayOfAcsEmployeeSchedule',
         'AcsEmployeeSchedule',
         'AcsEmployeeScheduleSaveData',
         'ArrayOfAcsEmployeeGroup',
         'AcsEmployeeGroup',
         'EmployeeGroupType',
         'AcsEmployeeGroupReactionInfo',
         'ArrayOfAcsEmployeeGroupReactionInfo',
         'AcsEmployeeGroupReportInfo',
         'ArrayOfAcsEmployeeGroupReportInfo',
         'AcsEmployeeDocumentsData',
         'AcsEmployeeDocumentsSaveData','AcsEmployeeFull',
         'AcsEmployeeFullBase',
         'EmployeesInfoData2',
         'ArrayOfAcsEmployeeInfo',
         'AcsEmployeeInfo',
         'AcsEmployeeFaceVectorFull',
         'AcsEmployeeFaceVector',
         'FaceSourceType',
         'ArrayOfAcsEmployeeFaceVector',
         'ArrayOfAcsEmployeeFaceVectorFull',
         'EmployeeInfo',
         'ArrayOfEmployeeViewFieldMetadata',
         'EmployeeViewFieldMetadata',
         'ArrayOfAcsEmployeeFull',
         'ArrayOfAcsEmployeePhotosInfo',
         'AcsEmployeePhotosInfo',
         'ArrayOfAscEmployeePhotoModificationDateTimeInfo',
         'AscEmployeePhotoModificationDateTimeInfo',
         'EmployeeImageType',
         'ArrayOfEmployeeShortInfo',
         'EmployeeShortInfo',
         'ArrayOfEmployeeModificationInfo',
         'EmployeeModificationInfo',
         'SearchCondition',
         'SearchWay',
         'ArrayOfAcsEmployee',
         'AcsEmployee',
         'GroupTypeSearch',
         'VehicleTypeSearch',
         'ArrayOfAcsVehicleSearched',
         'AcsVehicleSearched',
         'AcsEmployeeSaveData',
         'EmployeesSortedColumn',
         'EmployeesData',
         'ArrayOfEmployeeCurentInfo',
         'EmployeeCurentInfo',
         'ArrayOfAcsEmployeeFaceVectorSaveData',
         'AcsEmployeeFaceVectorSaveData',
         'ArrayOfAttachedEmployeesForVehicle',
         'AttachedEmployeesForVehicle']
